Bug 2511 - Проблема с иконками в GNOME-версии
: Проблема с иконками в GNOME-версии
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 999 1179 1198 1216 1599 1639 1897 2023 2112 2125 2127 2251 2307 2562
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 13:44 MSD by Stanislav Fomin
Modified: 2015-03-04 15:22 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (1.01 MB, image/png)
2015-02-19 16:16 MSK, Vladimir Potapov
Details
ss2 (750.57 KB, image/png)
2015-02-24 10:32 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Fomin 2013-08-19 13:44:35 MSD

    
Comment 1 Stanislav Fomin 2013-08-19 13:47:05 MSD
Подшиты блокирующие баги.
Comment 2 Stanislav Fomin 2015-02-17 17:34:18 MSK
Суть проблемы с иконками для ряда приложений — gnome shell не понимал сохраненный из Corel SVG в UTF-16 (т.е. видел файлы-иконки, пытался использовать иконки из темы, но получалась «пустота»)

Это было и с Amarok, и c K3b и с рядом других приложений.

Набросал https://abf.io/uxteam/rosa-icon-checker
для поиска таких иконок — нашлось несколько десятков.

Лечится пересохранением через inkscape.

Проделал пересохранение для всех этих иконок.
https://abf.io/uxteam/rosa-icons-devel/commit/0ebcfb82b4f54b9771fe1b869fd915cf3ed8acbd

Проверил на GNOME — починился показ тех самых сломанных иконок.
https://corpwiki.rosalinux.ru/%D0%9F%D1%80%D0%BE%D0%B2%D0%B5%D1%80%D0%BA%D0%B0_%D0%B8%D0%BA%D0%BE%D0%BD%D0%BE%D0%BA_%D0%B2_GNOME
Comment 3 Stanislav Fomin 2015-02-17 19:25:34 MSK
https://abf.io/build_lists/2425765
https://abf.io/build_lists/2425764

Advisory: Fixed SVG-icons problem in GNOME Shell.
Comment 4 Vladimir Potapov 2015-02-19 16:16:07 MSK
Created attachment 3758 [details]
ss
Comment 5 Vladimir Potapov 2015-02-19 16:18:37 MSK
(In reply to comment #4)
> Created attachment 3758 [details]
> ss

1) LibreOffice Math  without icon
2) Firefox  - icon with background
************************************
QA Denied
Comment 6 Vladimir Potapov 2015-02-24 10:32:57 MSK
Created attachment 3763 [details]
ss2

rpmdrake install without icon
Comment 7 Stanislav Fomin 2015-03-04 13:29:46 MSK
Advisory: Fixed SVG-icons problem in GNOME Shell + Icon for Libreoffice Math

https://abf.io/build_lists/2442111
https://abf.io/build_lists/2442112

Проблема Firefox иконки отдельная не надо блокировать из-за нее.
Comment 8 Vladimir Potapov 2015-03-04 15:02:15 MSK
rosa-icons-1.1.4-4
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2442111/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2442112/x86_64/main/release/
***************************** Advisory **************************
Fixed SVG-icons problem in GNOME Shell + Icon for Libreoffice Math
*****************************************************************
QA Verified